(in-package :cl-user)
(defpackage myapp-asd
  (:use :cl :asdf))
(in-package :myapp-asd)

(defsystem myapp
  :version "0.1"
  :author "Qwfwq"
  :license "GPL2+"
  :depends-on (:clack
               :caveman2
               :envy
               :cl-ppcre

               ;; HTML Template
               :cl-emb
               :cl-who
			   :cl-markdown
               ;; for CL-DBI
               :datafly
               :sxql
               
               ;;操作系统
               :osicat)
  :components ((:module "src"
                :components
                ((:file "main" :depends-on ("config" "view" "db"))
                 (:file "web" :depends-on ("view"))
                 (:file "view" :depends-on ("config"))
                 (:file "db" :depends-on ("config"))
                 (:file "config"))))
  :description ""
  :in-order-to ((test-op (load-op myapp-test))))
